Top Description Fields
org.bouncycastle.asn1.cms

public Interface CMSAttributes

Imports
org.bouncycastle.asn1.ASN1ObjectIdentifier, org.bouncycastle.asn1.pkcs.PKCSObjectIdentifiers

RFC 5652 CMS attribute OID constants, RFC 6019 Binary Time, and RFC 6211 Algorithm Identifier Protection Attribute.
contentType       ::= 1.2.840.113549.1.9.3
messageDigest     ::= 1.2.840.113549.1.9.4
signingTime       ::= 1.2.840.113549.1.9.5
counterSignature  ::= 1.2.840.113549.1.9.6

binarySigningTime ::= 1.2.840.113549.1.9.16.2.46

contentHint       ::= 1.2.840.113549.1.9.16.2.4
cmsAlgorithmProtect := 1.2.840.113549.1.9.52

Field Summary

Modifier and TypeField and Description
public static final ASN1ObjectIdentifier
binarySigningTime

PKCS#9: 1.2.840.113549.1.9.16.2.46

public static final ASN1ObjectIdentifier
public static final ASN1ObjectIdentifier
contentHint

PKCS#9: 1.2.840.113549.1.9.16.6.2.4 - See RFC 2634

public static final ASN1ObjectIdentifier
contentType

PKCS#9: 1.2.840.113549.1.9.3

public static final ASN1ObjectIdentifier
counterSignature

PKCS#9: 1.2.840.113549.1.9.6

public static final ASN1ObjectIdentifier
messageDigest

PKCS#9: 1.2.840.113549.1.9.4

public static final ASN1ObjectIdentifier
signingTime

PKCS#9: 1.2.840.113549.1.9.5

Field Detail

binarySigningTimeback to summary
public static final ASN1ObjectIdentifier binarySigningTime

PKCS#9: 1.2.840.113549.1.9.16.2.46

cmsAlgorithmProtectback to summary
public static final ASN1ObjectIdentifier cmsAlgorithmProtect
contentHintback to summary
public static final ASN1ObjectIdentifier contentHint

PKCS#9: 1.2.840.113549.1.9.16.6.2.4 - See RFC 2634

contentTypeback to summary
public static final ASN1ObjectIdentifier contentType

PKCS#9: 1.2.840.113549.1.9.3

counterSignatureback to summary
public static final ASN1ObjectIdentifier counterSignature

PKCS#9: 1.2.840.113549.1.9.6

messageDigestback to summary
public static final ASN1ObjectIdentifier messageDigest

PKCS#9: 1.2.840.113549.1.9.4

signingTimeback to summary
public static final ASN1ObjectIdentifier signingTime

PKCS#9: 1.2.840.113549.1.9.5